Bug 536718 - Review Request: tlomt-sniglet-fonts - A rounded, sans-serif font useful for headlines
Summary: Review Request: tlomt-sniglet-fonts - A rounded, sans-serif font useful for h...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-11 02:36 UTC by Tom "spot" Callaway
Modified: 2010-03-11 07:25 UTC (History)
3 users (show)

Fixed In Version: tlomt-sniglet-fonts-1.000-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-11 07:19:29 UTC
Type: ---
nicolas.mailhot: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
repo-font-audit output for the package (5.11 KB, application/x-xz)
2009-11-13 11:04 UTC, Nicolas Mailhot
no flags Details

Description Tom "spot" Callaway 2009-11-11 02:36:22 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/tlomt-sniglet-fonts.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/tlomt-sniglet-fonts-1.000-1.fc12.src.rpm
Description: 
Sniglet is a fun rounded, sans-serif font useful for headlines and other creative treaments. The font was created by Haley Fiege, and it supports a full Latin character set including accent marks. Notably, it has full coverage for Icelandic and French characters.

Comment 1 Nicolas Mailhot 2009-11-13 11:03:02 UTC
Hey,

Nice to see you packaging some fonts again.

Review:

1. (nitpick) the exact term for "accent marks" is diactritics (includes stuff like cedilla which is not strictly speaking an accent mark)

2. repo-font-audit found some partial coverage, and that rpmlint is not completely happy with the font (to relay upstream, see attached archive)

3. (nitpick) you don't really need to define a common_desc when there's only one package produced. It's useful for multi-subpackages

4. Please check with upstream they'll actually increment the version next time the font is updated. If 1.000 is an eternal unchanging version, using the timestamp of the font file as version is more useful.

5. You forgot the
Requires:       fontpackages-filesystem
⇒ fails review :(

6. Not too sure looping on one fontconf file is useful

7. Maybe it would be a good idea to bundle the licensing email as %doc ? Some old font packages did this and it's invaluable when all the web references have moved 20 times since packaging

8. There is no licensing info, either as detached txt file, or as metadata in the font (just confirming your finds). Doing both is best

9. This is not really a general-purpose sans-serif font, please change your fontconfig file
(see /usr/share/fontconfig/templates/fontconfig-generics.txt and /usr/share/fontconfig/templates/basic-font-template.* )

⇒ Needs a little more work, even though it's already a pretty nice srpm

Comment 2 Nicolas Mailhot 2009-11-13 11:04:59 UTC
Created attachment 369404 [details]
repo-font-audit output for the package

Comment 3 Nicolas Mailhot 2010-02-22 17:56:55 UTC
ping?

Comment 4 Tom "spot" Callaway 2010-02-22 18:56:16 UTC
Sorry, things have been very crazy on my end. Here's -2 with most of your nitpicks resolved.

New Spec URL:
http://www.auroralinux.org/people/spot/review/new/tlomt-sniglet-fonts.spec
New SRPM URL:
http://www.auroralinux.org/people/spot/review/new/tlomt-sniglet-fonts-1.000-2.fc14.src.rpm

Comment 5 Nicolas Mailhot 2010-02-22 19:45:39 UTC
I was not worried, you just got caught in the fonts package review cleanup I did today

Anyway,

1. I hope for you the next version won't be 1.00 too
2. It would still be nice if upstream completed the coverage
3. spell-checking: treaments → treatments

But this is not blocking

ꙮꙮꙮ APPROVED ꙮꙮꙮ

Thanks for finishing this, Máirín will be happy

Comment 6 Tom "spot" Callaway 2010-03-08 21:24:30 UTC
New Package CVS Request
=======================
Package Name: tlomt-sniglet-fonts
Short Description: A rounded, sans-serif font useful for headlines
Owners: spot
Branches: F-11 F-12 F-13 devel
InitialCC: fonts-sig

Comment 7 Kevin Fenzi 2010-03-09 06:10:25 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-03-09 19:40:00 UTC
tlomt-sniglet-fonts-1.000-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tlomt-sniglet-fonts-1.000-2.fc12

Comment 9 Fedora Update System 2010-03-09 19:40:06 UTC
tlomt-sniglet-fonts-1.000-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tlomt-sniglet-fonts-1.000-2.fc11

Comment 10 Fedora Update System 2010-03-09 19:40:11 UTC
tlomt-sniglet-fonts-1.000-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tlomt-sniglet-fonts-1.000-2.fc13

Comment 11 Fedora Update System 2010-03-11 07:19:23 UTC
tlomt-sniglet-fonts-1.000-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-03-11 07:24:52 UTC
tlomt-sniglet-fonts-1.000-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-03-11 07:25:30 UTC
tlomt-sniglet-fonts-1.000-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.